# Uses of Enum Class
com.google.protobuf.Syntax

Packages that use Syntax
Package
Description
com.google.protobuf

## Uses of Syntax in com.google.protobuf

Methods in com.google.protobuf that return Syntax
Modifier and Type
Method
Description
`static Syntax`
Syntax.`forNumber(int value)`
`Syntax`
Api.Builder.`getSyntax()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`Syntax`
Api.`getSyntax()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`Syntax`
ApiOrBuilder.`getSyntax()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`Syntax`
Enum.Builder.`getSyntax()`
`.google.protobuf.Syntax syntax = 5 [json_name = "syntax"];`
`Syntax`
Enum.`getSyntax()`
`.google.protobuf.Syntax syntax = 5 [json_name = "syntax"];`
`Syntax`
EnumOrBuilder.`getSyntax()`
`.google.protobuf.Syntax syntax = 5 [json_name = "syntax"];`
`Syntax`
Method.Builder.`getSyntax()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`Syntax`
Method.`getSyntax()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`Syntax`
MethodOrBuilder.`getSyntax()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`Syntax`
Type.Builder.`getSyntax()`
`.google.protobuf.Syntax syntax = 6 [json_name = "syntax"];`
`Syntax`
Type.`getSyntax()`
`.google.protobuf.Syntax syntax = 6 [json_name = "syntax"];`
`Syntax`
TypeOrBuilder.`getSyntax()`
`.google.protobuf.Syntax syntax = 6 [json_name = "syntax"];`
`static Syntax`
Syntax.`valueOf(int value)`
Deprecated.
`static Syntax`
Syntax.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static Syntax`
Syntax.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Syntax[]`
Syntax.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.google.protobuf that return types with arguments of type Syntax
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<Syntax>`
Syntax.`internalGetValueMap()`
Methods in com.google.protobuf with parameters of type Syntax
Modifier and Type
Method
Description
`Api.Builder`
Api.Builder.`setSyntax(Syntax value)`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`Enum.Builder`
Enum.Builder.`setSyntax(Syntax value)`
`.google.protobuf.Syntax syntax = 5 [json_name = "syntax"];`
`Method.Builder`
Method.Builder.`setSyntax(Syntax value)`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`Type.Builder`
Type.Builder.`setSyntax(Syntax value)`
`.google.protobuf.Syntax syntax = 6 [json_name = "syntax"];`